Index: trunk/SophyaLib/HiStats/hisprof.cc
===================================================================
--- trunk/SophyaLib/HiStats/hisprof.cc	(revision 763)
+++ trunk/SophyaLib/HiStats/hisprof.cc	(revision 914)
@@ -6,22 +6,10 @@
 #include "perrors.h"
 
-//++
-// Class	HProf
-// Lib	Outils++ 
-// include	hisprof.h
-//
-//	Classe de profil d'histogrammes.
-//--
-
-//++
-// Titre	Constructeurs
-//--
-
-/********* Methode *********/
-//++
+
+/********* Methode *********/
+/*!
+  Constructeur par defaut.
+*/
 HProf::HProf()
-//
-//	Constructeur par defaut.
-//--
 : Histo()
 , SumY(NULL), SumY2(NULL), SumW(NULL), Ok(false), YMin(1.), YMax(-1.), Opt(0)
@@ -31,13 +19,12 @@
 
 /********* Methode *********/
-//++
+/*!
+  Constructeur. Histogramme de profil de ``nBin'' bins entre ``xMin''
+  et ``xMax'' avec coupure d'acceptance sur y entre ``yMin'' et ``yMax''.
+  Si yMin>=yMax alors pas de coupure d'acceptance sur y.
+  Par defaut l'erreur du profil represente la dispersion dans le bin,
+  SetErrOpt(1) permet de demander de calculer l'erreur sur la moyenne.
+*/
 HProf::HProf(float xMin, float xMax, int nBin, float yMin, float yMax)
-//
-//	Constructeur. Histogramme de profil de ``nBin'' bins entre ``xMin''
-//	et ``xMax'' avec coupure d'acceptance sur y entre ``yMin'' et ``yMax''.
-//	Si yMin>=yMax alors pas de coupure d'acceptance sur y.
-//	Par defaut l'erreur du profil represente la dispersion dans le bin,
-//	SetErrOpt(1) permet de demander de calculer l'erreur sur la moyenne.
-//--
 : Histo(xMin,xMax,nBin)
 , SumY(new double[nBin]), SumY2(new double[nBin]), SumW(new double[nBin])
@@ -50,9 +37,8 @@
 
 /********* Methode *********/
-//++
+/*!
+  Constructeur par copie.
+*/
 HProf::HProf(const HProf& H)
-//
-//	Constructeur par copie.
-//--
 : Histo(H)
 , SumY(new double[H.bins]), SumY2(new double[H.bins]), SumW(new double[H.bins])
@@ -66,4 +52,7 @@
 
 /********* Methode *********/
+/*!
+  Des-allocation
+*/
 void HProf::Delete()
 {
@@ -75,4 +64,7 @@
 
 /********* Methode *********/
+/*!
+  Destructeur
+*/
 HProf::~HProf()
 {
@@ -80,14 +72,9 @@
 }
 
-//++
-// Titre	Methodes
-//--
-
-/********* Methode *********/
-//++
+/********* Methode *********/
+/*!
+  Remise a zero
+*/
 void HProf::Zero()
-//
-//	Remise a zero
-//--
 {
   memset(SumY,  0, bins*sizeof(double));
@@ -99,18 +86,19 @@
 
 /********* Methode *********/
-//++
+/*!
+  Pour changer l'option de calcul de l'erreur du profile.
+  Si ``spread'' = true alors l'erreur represente la dispersion
+  des donnees dans le bin, si = false elle represente l'erreur
+  sur la moyenne du bin.
+  \verbatim
+    - Pour le bin (j):
+    H(j) = sum(y), E(j) = sum(y^2), L(j) = sum(w)
+    ->  s(j) = sqrt(E(j)/L(j) - (H(j)/L(j))^2)  dispersion
+    ->  e(j) = s(j)/sqrt(L(j)) erreur sur la moyenne
+    spread=true:  opt=0 : dispersion des donnees dans le bin = s(j)
+    spread=false: opt=1 : erreur sur la moyenne du bin = e(j)
+  \endverbatim
+*/
 void HProf::SetErrOpt(bool spread)
-//
-//	Pour changer l'option de calcul de l'erreur du profile.
-//	Si ``spread'' = true alors l'erreur represente la dispersion
-//	des donnees dans le bin, si = false elle represente l'erreur
-//	sur la moyenne du bin.
-//| - Pour le bin (j):
-//| H(j) = sum(y), E(j) = sum(y^2), L(j) = sum(w)
-//| ->  s(j) = sqrt(E(j)/L(j) - (H(j)/L(j))^2)  dispersion
-//| ->  e(j) = s(j)/sqrt(L(j)) erreur sur la moyenne
-//| spread=true:  opt=0 : dispersion des donnees dans le bin = s(j)
-//| spread=false: opt=1 : erreur sur la moyenne du bin = e(j)
-//--
 {
 int opt = (spread) ? 0 : 1;
@@ -119,17 +107,16 @@
 
 /********* Methode *********/
-//++
+/*!
+  Pour mettre a jour l'histogramme de profil.
+  Il est important d'appeler cette methode si on veut
+  utiliser les methodes de la classe Histo qui ne sont
+  pas redefinies dans la classe HProf.
+  En effet, pour des raisons de precision la classe
+  HProf travaille avec des tableaux en double precision
+  et seulement au moment ou l'on a besoin de l'histogramme
+  ce dernier est rempli avec les valeurs demandees (moyenne
+  et dispersion/erreur sur la moyenne).
+*/
 void HProf::UpdateHisto() const
-//
-//	Pour mettre a jour l'histogramme de profil.
-//	Il est important d'appeler cette methode si on veut
-//	utiliser les methodes de la classe Histo qui ne sont
-//	pas redefinies dans la classe HProf.
-//	En effet, pour des raisons de precision la classe
-//	HProf travaille avec des tableaux en double precision
-//	et seulement au moment ou l'on a besoin de l'histogramme
-//	ce dernier est rempli avec les valeurs demandees (moyenne
-//	et dispersion/erreur sur la moyenne).
-//--
 {
 
@@ -153,9 +140,8 @@
 
 /********* Methode *********/
-//++
+/*!
+  Addition au contenu de l'histo pour abscisse x de la valeur y et poids w
+*/
 void HProf::Add(float x, float y, float w)
-//
-//	Addition au contenu de l'histo pour abscisse x de la valeur y et poids w
-//--
 {
   if(YMax>YMin && (y<YMin || YMax<y)) return;
@@ -174,9 +160,8 @@
 
 /********* Methode *********/
-//++
+/*!
+  Addition au contenu de l'histo bin numBin de la valeur y poids w
+*/
 void HProf::AddBin(int numBin, float y, float w)
-//
-//	Addition au contenu de l'histo bin numBin de la valeur y poids w
-//--
 {
   if(YMax>YMin && (y<YMin || YMax<y)) return;
@@ -194,8 +179,8 @@
 
 /********* Methode *********/
-//++
+/*!
+  Operateur H = H1
+*/
 HProf& HProf::operator = (const HProf& h)
-//
-//--
 {
 if(this == &h) return *this;
@@ -218,11 +203,12 @@
 
 /********* Methode *********/
-//++
+/*!
+  Operateur H += H1
+
+  Attention dans cette addition il n'y a pas de gestion
+  des YMin et YMax. L'addition est faite meme si les limites
+  en Y de ``a'' sont differentes de celles de ``this''.
+*/
 HProf& HProf::operator += (const HProf& a)
-//
-//	Attention dans cette addition il n'y a pas de gestion
-//	des YMin et YMax. L'addition est faite meme si les limites
-//	en Y de ``a'' sont differentes de celles de ``this''.
-//--
 {
 if(bins!=a.bins) THROW(sizeMismatchErr);
@@ -240,9 +226,9 @@
 
 /********* Methode *********/
-//++
+/*!
+  Operateur H = H1 + H2
+  Meme commentaire que pour l'operateur +=
+*/
 HProf operator + (const HProf& a, const HProf& b)
-//
-//	Meme commentaire que pour l'operateur +=
-//--
 {
 if (b.NBins()!=a.NBins()) THROW(sizeMismatchErr);
@@ -250,47 +236,4 @@
 return (c += b);
 }
-
-// Rappel des inlines functions pour commentaires
-//++
-//   inline Histo GetHisto()
-//	Retourne l'histogramme de profil.
-//--
-//++
-// inline void GetMean(Vector& v)
-//	Retourne le contenu de la moyenne dans le vecteur v
-//--
-//++
-// inline void GetError2(Vector& v)
-//	Retourne le contenu au carre de la dispersion/erreur dans le vecteur v
-//--
-//++
-// inline float operator()(int i) const
-//	Retourne le contenu du bin i
-//--
-//++
-// inline float Error2(int i) const
-//	Retourne le carre de la dispersion/erreur du bin i
-//--
-//++
-// inline float Error(int i) const
-//	Retourne la dispersion/erreur du bin i
-//--
-//++
-// inline int Fit(GeneralFit& gfit)
-//	Fit du profile par ``gfit''.
-//--
-//++
-// inline Histo* FitResidus(GeneralFit& gfit)
-//	Retourne l'Histogramme des residus par ``gfit''.
-//--
-//++
-// inline Histo* FitFunction(GeneralFit& gfit)
-//	Retourne l'Histogramme de la fonction fittee par ``gfit''.
-//--
-//++
-// inline void Print(int dyn,float hmin,float hmax,int pflag,int il,int ih)
-//	Print, voir detail dans Histo::Print
-//--
-
 
 ///////////////////////////////////////////////////////////
